PostgreSQL 9.6 mit PostGIS 2.3.1 Schemazuordnung

Probleme, Fragen die mit der Installation und Anwendung der PostGIS-Erweiterung zu tun haben.
Antworten
schweitzerili
Benutzer
Beiträge: 59
Registriert: Di 13. Okt 2015, 09:35

PostgreSQL 9.6 mit PostGIS 2.3.1 Schemazuordnung

Beitrag von schweitzerili » Mi 25. Jan 2017, 10:48

Habe gerade zu Testzwecken eine 9.6 aufgesetzt mit PostGIS 2.3.1.

Habe ein zweites Schema angelegt und wollte nun ganz normal wie in 9.5 mit 2.2 die extension dem anderen Schema zuweisen.
Siehe da: Geht nicht mehr... Im PGAdmin 3 und 4 ist das Schema ausgegraut und wenn ich es über die Konsole mache, kommt folgende Fehlermeldung:
FEHLER: Erweiterung »postgis« unterstützt SET SCHEMA nicht.

LOL?
xD

Weder auf der PostGIS Seite noch woanders habe ich einen Hinweis dazu gefunden...

Auf einem 9.5 mit 2.2 funktioniert das alles einwandfrei. Hab ich bei der neuen Version etwas übersehen oder ist das ein Bug?

Gruß Stefan

castorp
Erfahrener Benutzer
Beiträge: 1135
Registriert: Sa 27. Jun 2009, 22:24
Wohnort: Bayern

Re: PostgreSQL 9.6 mit PostGIS 2.3.1 Schemazuordnung

Beitrag von castorp » Mi 25. Jan 2017, 11:01

Du hättest vermutlich gleich CREATE EXTENSION ... WITH SCHEMA machen sollen.
A SQL query walks into a bar and sees two tables. He walks up to them and says 'Can I join you?'

schweitzerili
Benutzer
Beiträge: 59
Registriert: Di 13. Okt 2015, 09:35

Re: PostgreSQL 9.6 mit PostGIS 2.3.1 Schemazuordnung

Beitrag von schweitzerili » Mi 25. Jan 2017, 11:08

Danke hat funktioniert... Trotzdem komisch dass SET SCHEMA in der neuen Version nicht mehr funktioniert. Aber gut zu wissen. Danke dir

Antworten